WCF 1.1 (WBB 3.1) mit PHP 7.x kompatibel machen

    • WCF 1.1 (WBB 3.1) mit PHP 7.x kompatibel machen

      Achtung: Geschieht auf eigene Gefahr! WCF ist zwar unter der GPL-Lizenz gestellt, wird aber meines Wissens von keinem gepflegt. WBB 3.1 sowie die kommerziellen Plugins sind keine freie Software und zudem pflegt der Hersteller diese Produkte nicht mehr.

      1. Sicherstellen, dass display_errors auf off gesetzt ist und nur das Error-Logging in eine Datei eingeschaltet ist.
      2. In config.inc.php:

      PHP-Quellcode

      1. $dbClass = 'MySQLDatabase';

      ersetzen in:

      PHP-Quellcode

      1. $dbClass = 'MySQLiDatabase';

      3. in [wcf-Ordner]lib/system/WCF.class.php:

      Zeile 252:

      PHP-Quellcode

      1. public static final function handleException(Exception $e) {
      ersetzen durch

      PHP-Quellcode

      1. public static final function handleException($e) {
    (c) 2004-2018 Home of the Sebijk.com